function hot = ColormapHot( Siz )

    % Adjusted colormap hot, this map ensures that when plotted in
    % grayscale, it is equivalent to the full grayscale colormap

    MR=[0,0;
        0.02,0.3; %this is the important extra point
        0.3,1;
        1,1];
    MG=[0,0;
        0.3,0;
        0.7,1;
        1,1];
    MB=[0,0;
        0.7,0;
        1,1];

    hot = colormapRGBmatrices(Siz,MR,MG,MB); 
    
end

function mymap = colormapRGBmatrices( N, rm, gm, bm)
    x = linspace(0,1, N);
    rv = interp1( rm(:,1), rm(:,2), x);
    gv = interp1( gm(:,1), gm(:,2), x);
    mv = interp1( bm(:,1), bm(:,2), x);
    mymap = [ rv', gv', mv'];
    %exclude invalid values that could appear
    mymap( isnan(mymap) ) = 0;
    mymap( (mymap>1) ) = 1;
    mymap( (mymap<0) ) = 0;
end






