function [ RMSE, NRMSE ] = ComputeForwardError( A, RF, Mt_target )

    % Compute the forward multiplication error A * RF - Mt_target, i.e.,
    % the error according to the small tip angle approximation

    RMSE        = sqrt(sum( magn2flip(A * RF - Mt_target).^2 )/numel(Mt_target) );
    ymin        = 0.0;
    ymax        = max( abs(Mt_target(:)) );
    NRMSE       = RMSE / (ymax - ymin);

end

