function DeleteInvalidFiles()

    %this function is used to delete the last two figures and iteration
    %datasets that are saved during the optimization. Since the function
    %call saves these files does not know when the optimization terminates
    %they are saved and deleted afterwards
    
    global DateString
    global CounterIter
    filenames       = dir(['SavedIterations\',DateString]);
    filenames(1:2)  = [];

    %get number of figures
    % fig_idxs    = find( cellfun( @(name) strcmpi(name(1:5),'iter_') & strcmpi(name(end-3:end),'.png'), {filenames.name} ) );
    % nfigs       = numel( fig_idxs );
    % data_idxs   = find( cellfun( @(name) strcmpi(name(1:5),'iter_') & strcmpi(name(end-3:end),'.mat') & ~strcmpi(name,'iter_data.mat'), {filenames.name} ) );
    % ndatas  	= numel( data_idxs );
    
    %get indices of figures with index greater equal CounterIter
    delfig1_idx     = find( cellfun( @(name) strcmpi(name(1:8),sprintf('iter_%03i',CounterIter)) & strcmpi(name(end-3:end),'.png'), {filenames.name} ) );
    delfig2_idx     = find( cellfun( @(name) strcmpi(name(1:8),sprintf('iter_%03i',CounterIter+1)) & strcmpi(name(end-3:end),'.png'), {filenames.name} ) );
    delmat1_idx     = find( cellfun( @(name) strcmpi(name(1:8),sprintf('iter_%03i',CounterIter)) & strcmpi(name(end-3:end),'.mat'), {filenames.name} ) );
    delmat2_idx     = find( cellfun( @(name) strcmpi(name(1:8),sprintf('iter_%03i',CounterIter+1)) & strcmpi(name(end-3:end),'.mat'), {filenames.name} ) );
    del_idxs        = [ delfig1_idx, delfig2_idx, delmat1_idx, delmat2_idx ];
        
    %delete the files with the corresponding names
    if ~isempty( del_idxs )
        for fidx = 1 : numel( del_idxs )
            delete( sprintf('SavedIterations\\%s\\%s',DateString,filenames(del_idxs(fidx)).name) )
        end
    end

end

