function funValue = EvaluateObjective( fun, x )

    %estimation of the Jacobian J using finite differences. Output J has
    %same size as x0 (length N), estimation requires N+1 function
    %evaluations
    
    %instead if using an output function within fmincon, the command output
    %is placed here to perform output at each function evaluation
    
    %only one type of call is used; since no information is available what
    %type of call this is, every call is treated as 'final'
    ObjFunData  = fun( x );
    funValue    = ObjFunData.funValue;

    %line search output here
    %-----------------------
    fprintf('  ObjFunction Call -    funValue: %.3e   |   RMSE: %.3e   |   time: %6.3f ms   |   Phi = ( ', ObjFunData.funValue, ObjFunData.RMSE, ObjFunData.time ), fprintf('%+5.2e, ',x(1:end-1)), fprintf('%+5.2e )\n',x(end))

end