function D = GetDerivativeMatrix2D( R )

    %get number of variables
    IDvec 	= R(:,3);
    NV      = sum( IDvec );
    NCP     = size( R, 1 );
    
    D     	= zeros( NV, 2*NCP );
    RowIdx 	= cumsum( [0; IDvec(1:end-1)] ) + 1;
    
    for v = 1 : NCP
        switch IDvec(v)
            case 2
                %no constraint, set ones
                D( RowIdx(v)     , (v-1) * 2 + 1 ) = 1;  %X
                D( RowIdx(v) + 1 , (v-1) * 2 + 2 ) = 1;  %Y
            case 1
                %vector constraint, set vector elements in D corresponding to
                %the vector elements in the constraint matrix
                D( RowIdx(v)    , (v-1) * 2 + 1 )   = R(v,1); 	%X
                D( RowIdx(v)    , (v-1) * 2 + 2 )	= R(v,2); 	%Y 
        end
    end