function stop = PrintCurrentIteration(x, optimValues, state)

    stop = false;
    if isempty( optimValues.gradient )
        optimValues.gradient = nan( size(x) );
    end

    if ~strcmpi(state,'interrupt')
        fprintf('***************************************************************\n')
        fprintf(' State: %s   \n',state)
        fprintf('  Iter: %2i     FunCount: %3i      FunValue:  %.3e     \n',optimValues.iteration, optimValues.funccount, optimValues.fval )
        fprintf(' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - \n')
        for n = 1 : numel(x)
            fprintf('   Phi(%2i):  %+.2e     |     PartDiff:  %+.2e \n',n,x(n), optimValues.gradient(n) )
        end
    end

end
