function String = PrintTerminationReason( exitflag )

    % Print termination reason of fmincon to command

    switch exitflag
        case +1, exitreason = 'First-Order Optimality';
        case 0,  exitreason = 'MaxIter or MaxFunEvals';
        case -1, exitreason = 'OutputFun/PlotFun';
        case -2, exitreason = 'No Feasible Point Found';
        case +2, exitreason = 'TolX and TolCon';
        case +3, exitreason = 'TolFun and TolCon';
        case +4, exitreason = 'Small Search Direction';
        case +5, exitreason = 'Small Derivative';
        case -3, exitreason = 'ObjectiveLimit/TolCon';
        otherwise
            exitreason = 'exitflag unknown';
    end
    
    if nargout > 0
        String = exitreason;
        fprintf('Exit Reason: %s\n',exitreason)
    else
        String = [];
        fprintf('Exit Reason: %s\n',exitreason)
    end

end

