function fval = RegularizedObjectiveFunction( objfundata, options )

        % Compute the regularized objective function value
        phi         = @(r,cr) double( r > cr - 1e+3 * options.objfun_epsilon ) .* ( sqrt( (1e+3*options.objfun_epsilon).^2 + (r - cr + 1e+3*options.objfun_epsilon).^2 ) - 1e+3 * options.objfun_epsilon ) * options.objfun_beta;
        fval        = objfundata.NRMSE + phi( objfundata.time, 1e+3*options.objfun_Tmax + 2/3 * 1e+3 * options.objfun_epsilon );

end
    
