function stop = SetIterationData(x, optimValues, state)

    % This method saves some files that are needed during shape
    % optimization, e.g. for plotting

    global DateString
    stop = false;
    
    %script to prepare some iter_data for the upcoming iteration
    if strcmpi( state, 'iter' ) || strcmpi( state, 'done' )
        %load the data that was saved previously
        load(sprintf('SavedIterations/%s/plot_data.mat',DateString));
        save(sprintf('SavedIterations/%s/iter_data.mat',DateString),'T','RF');
        
    end
    
    %additionally store iteration data
    if strcmpi( state, 'iter' ) || strcmpi( state, 'done' )
        FileName = sprintf('iter_%03d_fcount_%i_fval_%.2E',optimValues.iteration, optimValues.funccount, optimValues.fval);
        FileName = strrep( FileName, '.', 'dot' );
        FileName = strrep( FileName, '+', 'plus' );
        FileName = strrep( FileName, '-', 'minus' );
        save( sprintf('SavedIterations/%s/%s.mat',DateString,FileName), 'x', 'optimValues', 'state', 'T', 'RF', 'forwardmagn' )
    end
    
end